Subject: bug#12312: closed (Re: bug#12312: Feature Request: du -h or du --si sort by human readable value)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 30 Aug 2012 20:22:02 +0000

Your bug report

#12312: Feature Request: du -h or du --si sort by human readable value

which was filed against the coreutils package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
12312: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=12312
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#12312: Feature Request: du -h or du --si sort by human readable value
From: Eric Blake <[email-masked]>
To: kat amsterdam <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Thu, 30 Aug 2012 13:20:32 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

tag 12312 notabug
thanks

On 08/30/2012 11:39 AM, kat amsterdam wrote:
> Hi GNU core utility developers:
> 
> First of all thank you very much for developing the software that we have
> come to rely on. It's well appreciated!

Thank you.

> 
> I have a feature request based on a question that was asked on askubuntu.com
> 
> the question is: why does du -h  not sort by the human readable value.

du(1) doesn't sort, you use sort(1) for sorting.

> 1) du returns random sort order
> *du -h /home/user/Photos*

to get it in sorted order,

du -h /home/user/Photos* | sort -k1,1h

> 2) du returns sorted by number but not by acutal value in this example G is
> large than M and M is larger than K
> *du -h /home/user/Photos | sort -n *

Don't use sort -n, use sort -h.

> 
> Please add a sorting function to du -h and du --si to sort the human
> readable values to make your wonderful utility even more useful.
> 

We already have: sort -h, in coreutils 7.5 (2009).  Therefore, I'm
closing this bug.

-- 
Eric Blake   [email-masked]    +1-919-301-3266
Libvirt virtualization library http://libvirt.org

Subject: Feature Request: du -h or du --si sort by human readable value
From: kat amsterdam <[email-masked]>
To: [email-masked]
Date: Thu, 30 Aug 2012 20:39:07 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi GNU core utility developers:

First of all thank you very much for developing the software that we have
come to rely on. It's well appreciated!

I have a feature request based on a question that was asked on askubuntu.com

the question is: why does du -h  not sort by the human readable value.

Example:

1) du returns random sort order
*du -h /home/user/Photos*

156M /home/user/Photos/cats
124M /home/user/Photos/vacation
1G   /home//user/Photos/family
148K  /home/user/Photos/profile

2) du returns sorted by number but not by acutal value in this example G is
large than M and M is larger than K
*du -h /home/user/Photos | sort -n *

1G   /home//user/Photos/family
124M /home/user/Photos/vacation
148K  /home/user/Photos/profile
156M /home/user/Photos/cats

3) this works partially but is very difficult to remember

du -k * | sort -nr | cut -f2 | xargs -d '\n' du -sh | head -n 10

4) This is even more ridiculous, computers are supposed to do the work for
us, not make attempt impossible memorization tasks.

alias duf='du -sk * | sort -n | perl -ne '\''($s,$f)=split(m{\t});for
(qw(K M G)) {if($s<1024) {printf("%.1f",$s);print "$_\t$f";
last};$s=$s/1024}'\'

Please add a sorting function to du -h and du --si to sort the human
readable values to make your wonderful utility even more useful.

This is program one time, and it's done for everyone. The entire GNU and
linux communities will be beter for this time saving feature.

-- 
Met vriendelijke groet,
Damiön la Bagh
Amsterdam, Nederland
==
globe*one***
Point of sale solutions for Retail and Horeca